let arrowDownUrl = boxyfy_arrowUrls.down; // kommt aus wp_localize_script
let arrowTopUrl  = boxyfy_arrowUrls.up;   // kommt aus wp_localize_script

function toggleDetails(element) {
    const detailsContainer = element.nextElementSibling;

    if (!detailsContainer) return;

    detailsContainer.classList.toggle("open");

    const isOpen = detailsContainer.classList.contains("open");
    element.innerHTML = (isOpen
        ? 'Weniger anzeigen <img src="' + arrowTopUrl + '" alt="Pfeil nach oben">'
        : 'Mehr anzeigen <img src="' + arrowDownUrl + '" alt="Pfeil nach unten">'
    );
}